/*
 * (c) Copyright 2020 CORSIKA Project, corsika-project@lists.kit.edu
 *
 * This software is distributed under the terms of the GNU General Public
 * Licence version 3 (GPL Version 3). See file LICENSE for a full version of
 * the license.
 */
#pragma once

#include <boost/filesystem/path.hpp>

#include <cstdlib>
#include <stdexcept>
#include <string>

inline boost::filesystem::path corsika::corsika_data(boost::filesystem::path const& key) {
  if (auto const* p = std::getenv("CORSIKA_DATA"); p != nullptr) {
    return boost::filesystem::path(p) / key;
  } else { // LCOV_EXCL_START, this cannot be easily tested system-independently
    throw std::runtime_error("CORSIKA_DATA not set");
  } // LCOV_EXCL_STOP
}
